-- Make sure that it's the right local file there is used.
if (GetLocale() ~= "deDE") then
    return
end

--[[

    If you would like to help with the translation, then please mail your translation to:
        Secret.SubbyDK@Gmail.com
    Or you can fine me on the "Pyrewood Village" EU server, Horde side.
        Subby
        Sheeps
        Bandog
    Or you can find me on Discord:
        SubbyDK#8113

************************************************************************************************************************

	Contribution pattern: DD/MM/YYYY - nickname (character name ingame) - server - Faction - what did you do to help
	
    All the credit for the translation goes to:

        (Put your name info here please, don't delete if anyone else is here, then write under them.)

    Please change "NewTranslation" to "false" when everything is translated.

    Thanks a lot for the help. ;)
]]--

-- Set some locals
local NewTranslation = true
local KeepTheHerbs, namespace = ...
local ShowLocalization = true


-- A small message to show the addon is loaded and if we need help with translations.
function Welcome()
    i = 1
    while i < 10 do
        i = i + 1
        if i >= 10 then
            DEFAULT_CHAT_FRAME:AddMessage("|cffffff7fKeepTheHerbs:|r have been loaded.");
            -- is there any new translation ?
            if NewTranslation ~= false then
                DEFAULT_CHAT_FRAME:AddMessage("|cffffff7fKeepTheHerbs:|r The addon still need some translation.");
            end
        end
    end
end

-- 
local L = setmetatable({}, { __index = function(t, i)
	local value = tostring(i)
    if value == nil then
        DEFAULT_CHAT_FRAME:AddMessage("For some reason the value was not found in the 'localization.deDE' file.");
        DEFAULT_CHAT_FRAME:AddMessage("Please report this bug with info on what you did.");
        return
    end
	rawset(t, i, value)
	return value
end })


-- ************************************************************
-- *************************  *************************
-- ************************************************************

namespace.L = L

    -- Word or sentences there is used in the addon.

    L["strAlchemy"] = "Alchimie";                                       -- enUS = "Alchemy"             <-- Very important that this is 100% correct, check it in-game with /script FindLocal()
    L["strHerbalism"] = "Kräuterkunde";                                 -- enUS = "Herbalism"           <-- Very important that this is 100% correct check it in-game with /script FindLocal()
    L["Bought"] = "Bought from vendor.";                                -- enUS = "Bought from vendor."
    L["HerbSkil"] = "Herbing difficulty: ";                             -- enUS = "Herbing difficulty: "
    L["AlchemySkill"] = "Alchemy skill: ";                              -- enUS = "Alchemy skill: "
    L["Used"] = "Used by alchemists for:";                              -- enUS = "Used by alchemists for:"
    L["Mats"] = "Materials used:";                                      -- enUS = "Materials used:"
    L["Swifthistle"] = "Found with [Briarthorn] and [Mageroyal].";      -- enUS = "Found with [Briarthorn] and [Mageroyal]."
    L["Wildvine"] = "Found with [Purple Lotus].";                       -- enUS = "Found with [Purple Lotus]."
    L["or"] = "or"                                                      -- enUS = "or"

    -- All the things there can be made with Alchemy.
    --      https://de.classic.wowhead.com/item=

    L["118"] = "Schwacher Heiltrank";                                   -- enUS = "Minor Healing Potion"
    L["2454"] = "Elixier der Löwenstärke";                              -- enUS = "Elixir of Lion's Strength"
    L["5997"] = "Elixier der schwachen Verteidigung";                   -- enUS = "Elixir of Minor Defense"   
    L["3382"] = "Schwacher Trollbluttrank";                             -- enUS = "Weak Troll's Blood Potion"
    L["2455"] = "Schwacher Manatrank";                                  -- enUS = "Minor Mana Potion"
    L["2456"] = "Schwacher Verjüngungstrank";                           -- enUS = "Minor Rejuvenation Potion"
    L["2458"] = "Elixier der schwachen Seelenstärke";                   -- enUS = "Elixir of Minor Fortitude"
    L["2457"] = "Elixier der schwachen Beweglichkeit";                  -- enUS = "Elixir of Minor Agility"
    L["4596"] = "Verfärbter Heiltrank";                                 -- enUS = "Discolored Healing Potion"
    L["858"] = "Geringer Heiltrank";                                    -- enUS = "Lesser Healing Potion"
    L["2459"] = "Hurtigkeitstrank";                                     -- enUS = "Swiftness Potion"
    L["5631"] = "Wuttrank";                                             -- enUS = "Rage Potion"
    L["6370"] = "Schwarzmaulöl";                                        -- enUS = "Blackmouth Oil"
    L["3383"] = "Elixier der Weisheit";                                 -- enUS = "Elixir of Wisdom"
    L["929"] = "Heiltrank";                                             -- enUS = "Healing Potion"
    L["5996"] = "Elixier der Wasseratmung";                             -- enUS = "Elixir of Water Breathing"
    L["6662"] = "Elixier des Riesenwuchses";                            -- enUS = "Elixir of Giant Growth"
    L["6051"] = "Heiligschutztrank";                                    -- enUS = "Holy Protection Potion"
    L["6372"] = "Schwimmtempotrank";                                    -- enUS = "Swim Speed Potion"
    L["3384"] = "Schwacher Magiewiderstandstrank";                      -- enUS = "Minor Magic Resistance Potion"
    L["3385"] = "Geringer Manatrank";                                   -- enUS = "Lesser Mana Potion"
    L["3386"] = "Elixier des Giftwiderstands";                          -- enUS = "Elixir of Poison Resistance"
    L["3388"] = "Starker Trollbluttrank";                               -- enUS = "Strong Troll's Blood Potion"
    L["6371"] = "Feueröl";                                              -- enUS = "Fire Oil"
    L["3389"] = "Elixier der Verteidigung";                             -- enUS = "Elixir of Defense"
    L["6048"] = "Schattenschutztrank";                                  -- enUS = "Shadow Protection Potion"
    L["3390"] = "Elixier der geringen Beweglichkeit";                   -- enUS = "Elixir of Lesser Agility"
    L["6373"] = "Elixier der Feuermacht";                               -- enUS = "Elixir of Firepower"
    L["3391"] = "Elixier der Ogerstärke";                               -- enUS = "Elixir of Ogre's Strength"
    L["5634"] = "Trank der freien Aktion";                              -- enUS = "Free Action Potion"
    L["1710"] = "Großer Heiltrank";                                     -- enUS = "Greater Healing Potion"
    L["3827"] = "Manatrank";                                            -- enUS = "Mana Potion"
    L["3823"] = "Geringer Unsichtbarkeitstrank";                        -- enUS = "Lesser Invisibility Potion"
    L["3824"] = "Schattenöl";                                           -- enUS = "Shadow Oil"
    L["6049"] = "Feuerschutztrank";                                     -- enUS = "Fire Protection Potion"
    L["3825"] = "Elixier der Seelenstärke";                             -- enUS = "Elixir of Fortitude"
    L["5633"] = "Großer Wuttrank";                                      -- enUS = "Great Rage Potion"
    L["3826"] = "Mächtiger Trollbluttrank";                             -- enUS = "Mighty Troll's Blood Potion"
    L["8949"] = "Elixier der Beweglichkeit";                            -- enUS = "Elixir of Agility"
    L["6050"] = "Frostschutztrank";                                     -- enUS = "Frost Protection Potion"
    L["6052"] = "Naturschutztrank";                                     -- enUS = "Nature Protection Potion"
    L["17708"] = "Elixier der Frostmacht";                              -- enUS = "Elixir of Frost Power"
    L["3828"] = "Elixier der Entd. geringer Unsichtbarkeit";            -- enUS = "Elixir of Detect Lesser Invisibility"
    L["8951"] = "Elixier der großen Verteidigung";                      -- enUS = "Elixir of Greater Defense"
    L["3829"] = "Frostöl";                                              -- enUS = "Frost Oil"
    L["10592"] = "Katzenaugenelixier";                                  -- enUS = "Catseye Elixir"
    L["6149"] = "Großer Manatrank";                                     -- enUS = "Greater Mana Potion"
    L["8956"] = "Öl des Feuerbrandes";                                  -- enUS = "Oil of Immolation"
    L["9036"] = "Magiewiderstandstrank";                                -- enUS = "Magic Resistance Potion"
    L["9061"] = "Goblin-Raketentreibstoff";                             -- enUS = "Goblin Rocket Fuel"
    L["9030"] = "Regenerationstrank";                                   -- enUS = "Restorative Potion"
    L["4623"] = "Geringer Steinschildtrank";                            -- enUS = "Lesser Stoneshield Potion"
    L["3928"] = "Überragender Heiltrank";                               -- enUS = "Superior Healing Potion"
    L["18294"] = "Elixier der verbesserten Wasseratmung";               -- enUS = "Elixir of Greater Water Breathing"
    L["9144"] = "Wildrankentrank";                                      -- enUS = "Wildvine Potion"
    L["9149"] = "Stein der Weisen";                                     -- enUS = "Philosophers' Stone"
    L["9154"] = "Elixier der Untotenentdeckung";                        -- enUS = "Elixir of Detect Undead"
    L["12190"] = "Trank des traumlosen Schlafs";                        -- enUS = "Dreamless Sleep Potion"
    L["9155"] = "Arkanes Elixier";                                      -- enUS = "Arcane Elixir"
    L["9172"] = "Unsichtbarkeitstrank";                                 -- enUS = "Invisibility Potion"
    L["9179"] = "Elixier der großen Intelligenz";                       -- enUS = "Elixir of Greater Intellect"
    L["9088"] = "Arthas' Gabe";                                         -- enUS = "Gift of Arthas"
    L["9187"] = "Elixier der großen Beweglichkeit";                     -- enUS = "Elixir of Greater Agility"
    L["9197"] = "Elixier der Traumvision";                              -- enUS = "Elixir of Dream Vision"
    L["9206"] = "Elixier der Riesen";                                   -- enUS = "Elixir of Giants"
    L["9210"] = "Geisterfarbstoff";                                     -- enUS = "Ghost Dye"
    L["13423"] = "Steinschuppenöl";                                     -- enUS = "Stonescale Oil"
    L["20747"] = "Geringes Manaöl";                                     -- enUS = "Lesser Mana Oil"
    L["20748"] = "Hervorragendes Manaöl";                               -- enUS = "Brilliant Mana Oil"
    L["9264"] = "Elixier der Schattenmacht";                            -- enUS = "Elixir of Shadow Power"
    L["9224"] = "Elixier des Dämonentötens";                            -- enUS = "Elixir of Demonslaying"
    L["9233"] = "Elixier der Dämonenentdeckung";                        -- enUS = "Elixir of Detect Demon"
    L["21546"] = "Elixier der großen Feuermacht";                       -- enUS = "Elixir of Greater Firepower"
    L["3387"] = "Begrenzter Unverwundbarkeitstrank";                    -- enUS = "Limited Invulnerability Potion"
    L["13442"] = "Mächtiger Wuttrank";                                  -- enUS = "Mighty Rage Potion"
    L["13443"] = "Überragender Manatrank";                              -- enUS = "Superior Mana Potion"
    L["13445"] = "Elixier der überragenden Verteidigung";               -- enUS = "Elixir of Superior Defense"
    L["13447"] = "Elixier der Weisen";                                  -- enUS = "Elixir of the Sages"
    L["13446"] = "Erheblicher Heiltrank";                               -- enUS = "Major Healing Potion"
    L["13453"] = "Elixier der rohen Gewalt";                            -- enUS = "Elixir of Brute Force"
    L["20007"] = "Magierbluttrank";                                     -- enUS = "Mageblood Potion"
    L["20002"] = "Großer Trank des traumlosen Schlafs";                 -- enUS = "Greater Dreamless Sleep Potion"
    L["13455"] = "Großer Steinschildtrank";                             -- enUS = "Greater Stoneshield Potion"
    L["13452"] = "Elixier des Mungos";                                  -- enUS = "Elixir of the Mongoose"
    L["13462"] = "Läuterungstrank";                                     -- enUS = "Purification Potion"
    L["13454"] = "Großes Arkanelixier";                                 -- enUS = "Greater Arcane Elixir"
    L["20008"] = "Trank der lebhaften Aktion";                          -- enUS = "Living Action Potion"
    L["13457"] = "Großer Feuerschutztrank";                             -- enUS = "Greater Fire Protection Potion"
    L["13456"] = "Großer Frostschutztrank";                             -- enUS = "Greater Frost Protection Potion"
    L["13458"] = "Großer Naturschutztrank";                             -- enUS = "Greater Nature Protection Potion"
    L["13461"] = "Großer Arkanschutztrank";                             -- enUS = "Greater Arcane Protection Potion"
    L["13459"] = "Großer Schattenschutztrank";                          -- enUS = "Greater Shadow Protection Potion"
    L["20004"] = "Erheblicher Trollbluttrank";                          -- enUS = "Major Troll's Blood Potion"
    L["13444"] = "Erheblicher Manatrank";                               -- enUS = "Major Mana Potion"
    L["18253"] = "Erheblicher Verjüngungstrank";                        -- enUS = "Major Rejuvenation Potion"
    L["13503"] = "Alchimistenstein";                                    -- enUS = "Alchemist's Stone"
    L["13506"] = "Fläschchen der Versteinerung";                        -- enUS = "Flask of Petrification"
    L["13510"] = "Fläschchen der Titanen";                              -- enUS = "Flask of the Titans"
    L["13511"] = "Fläschchen mit destillierter Weisheit";               -- enUS = "Flask of Distilled Wisdom"
    L["13512"] = "Fläschchen mit oberster Macht";                       -- enUS = "Flask of Supreme Power"
    L["13513"] = "Fläschchen mit chromatischem Widerstand";             -- enUS = "Flask of Chromatic Resistance"
    L["19931"] = "Mojowahnsinn der Gurubashi";                          -- enUS = "Gurubashi Mojo Madness"
	
    -- All the spells used in Alchemy
    --      https://de.classic.wowhead.com/spell=

    L["11479"] = "Transmutieren: Eisen in Gold";                        -- enUS = "Transmute: Iron to Gold"
    L["11480"] = "Transmutieren: Mithril in Echtsilber";                -- enUS = "Transmute: Mithril to Truesilver"
    L["25146"] = "Elementarfeuer transmutieren";                        -- enUS = "Transmute: Elemental Fire"
    L["17187"] = "Transmutieren: Arkanit";                              -- enUS = "Transmute: Arcanite"
    L["17559"] = "Transmutieren: Luft zu Feuer";                        -- enUS = "Transmute: Air to Fire"
    L["17560"] = "Transmutieren: Feuer zu Erde";                        -- enUS = "Transmute: Fire to Earth"
    L["17561"] = "Transmutieren: Erde zu Wasser";                       -- enUS = "Transmute: Earth to Water"
    L["17562"] = "Transmutieren: Wasser zu Luft";                       -- enUS = "Transmute: Water to Air"
    L["17563"] = "Transmutieren: Untod zu Wasser";                      -- enUS = "Transmute: Undeath to Water"
    L["17564"] = "Transmutieren: Wasser zu Untod";                      -- enUS = "Transmute: Water to Undeath"
    L["17565"] = "Transmutieren: Leben zu Erde";                        -- enUS = "Transmute: Life to Earth"
    L["17566"] = "Transmutieren: Erde zu Leben";                        -- enUS = "Transmute: Earth to Life"

    -- All the herbs used for potions.
    --      https://de.classic.wowhead.com/item=

    L["2447"] = "Friedensblume";                                        -- enUS = "Peacebloom"
    L["765"] = "Silberblatt";                                           -- enUS = "Silverleaf"
    L["2449"] = "Erdwurzel";                                            -- enUS = "Earthroot"
    L["785"] = "Maguskönigskraut";                                      -- enUS = "Mageroyal"
    L["2450"] = "Wilddornrose";                                         -- enUS = "Briarthorn"
    L["2452"] = "Flitzdistel";                                          -- enUS = "Swifthistle"
    L["3820"] = "Würgetang";                                            -- enUS = "Stranglekelp"
    L["2453"] = "Beulengras";                                           -- enUS = "Bruiseweed"
    L["3355"] = "Wildstahlblume";                                       -- enUS = "Wild Steelbloom"
    L["3369"] = "Grabmoos";                                             -- enUS = "Grave Moss"
    L["3356"] = "Königsblut";                                           -- enUS = "Kingsblood"
    L["3357"] = "Lebenswurz";                                           -- enUS = "Liferoot"
    L["3818"] = "Blassblatt";                                           -- enUS = "Fadeleaf"
    L["3821"] = "Golddorn";                                             -- enUS = "Goldthorn"
    L["3358"] = "Khadgars Schnurrbart";                                 -- enUS = "Khadgar's Whisker"
    L["3819"] = "Winterbiss";                                           -- enUS = "Wintersbite"
    L["4625"] = "Feuerblüte";                                           -- enUS = "Firebloom"
    L["8831"] = "Lila Lotus";                                           -- enUS = "Purple Lotus"
    L["8153"] = "Wildranke";                                            -- enUS = "Wildvine"
    L["8836"] = "Arthas' Tränen";                                       -- enUS = "Arthas' Tears"
    L["8838"] = "Sonnengras";                                           -- enUS = "Sungrass"
    L["8839"] = "Blindkraut";                                           -- enUS = "Blindweed"
    L["8845"] = "Geisterpilz";                                          -- enUS = "Ghost Mushroom"
    L["8846"] = "Gromsblut";                                            -- enUS = "Gromsblood"
    L["13464"] = "Goldener Sansam";                                     -- enUS = "Golden Sansam"
    L["13463"] = "Traumblatt";                                          -- enUS = "Dreamfoil"
    L["13465"] = "Bergsilberweisling";                                  -- enUS = "Mountain Silversage"
    L["13466"] = "Pestblüte";                                           -- enUS = "Plaguebloom"
    L["13467"] = "Eiskappe";                                            -- enUS = "Icecap"
    L["13468"] = "Schwarzer Lotus";                                     -- enUS = "Black Lotus"

    -- All the Vail's used for potions.
    --      https://de.classic.wowhead.com/item=

    L["3371"] = "Leere Phiole";                                         -- enUS = "Empty Vial"
    L["3372"] = "Verbleite Phiole";                                     -- enUS = "Leaded Vial"
    L["8925"] = "Kristallphiole";                                       -- enUS = "Crystal Vial"
    L["18256"] = "Magieerfüllte Phiole";                                -- enUS = "Imbued Vial"

    -- All the rest used for potions.
    --      https://de.classic.wowhead.com/item=

    L["5635"] = "Scharfe Klaue";                                        -- enUS = "Sharp Claw"
    L["6358"] = "Öliges Schwarzmaul";                                   -- enUS = "Oily Blackmouth"
    L["6359"] = "Feuerflossenschnapper";                                -- enUS = "Firefin Snapper"
    L["3164"] = "Verfärbtes Worgherz";                                  -- enUS = "Discolored Worg Heart"
    L["6522"] = "Deviatfisch";                                          -- enUS = "Deviate Fish"
    L["3575"] = "Eisenbarren";                                          -- enUS = "Iron Bar"
    L["9262"] = "Schwarzes Vitriol";                                    -- enUS = "Black Vitriol"
    L["7972"] = "Sekret des Untodes";                                   -- enUS = "Ichor of Undeath"
    L["3858"] = "Mithrilerz";                                           -- enUS = "Mithril Ore"
    L["4402"] = "Kleiner Flammenbeutel";                                -- enUS = "Small Flame Sac"
    L["3860"] = "Mithrilbarren";                                        -- enUS = "Mithril Bar"
    L["10620"] = "Thoriumerz";                                          -- enUS = "Thorium Ore"
    L["7076"] = "Essenz der Erde";                                      -- enUS = "Essence of Earth"
    L["12359"] = "Thoriumbarren";                                       -- enUS = "Thorium Bar"
    L["12363"] = "Arkankristall";                                       -- enUS = "Arcane Crystal"
    L["13422"] = "Steinschuppenaal";                                    -- enUS = "Stonescale Eel"
    L["11176"] = "Traumstaub";                                          -- enUS = "Dream Dust"
    L["7077"] = "Herz des Feuers";                                      -- enUS = "Heart of Fire"
    L["7080"] = "Essenz des Wassers";                                   -- enUS = "Essence of Water"
    L["10286"] = "Herz der Wildnis";				                    -- enUS = "Heart of the Wild"
    L["7067"] = "Elementarerde";                                        -- enUS = "Elemental Earth"
    L["7078"] = "Essenz des Feuers";                                    -- enUS = "Essence of Fire"
    L["12803"] = "Essenz des Lebens";                                   -- enUS = "Living Essence"
    L["12808"] = "Essenz des Untodes";                                  -- enUS = "Essence of Undeath"
    L["1288"] = "Großer Giftbeutel";                                    -- enUS = "Large Venom Sac"
    L["7068"] = "Elementarfeuer";                                       -- enUS = "Elemental Fire"
    L["12938"] = "Blut von Helden";                                     -- enUS = "Blood of Heroes"
    L["19943"] = "Gewaltig viel Mojo";                                  -- enUS = "Massive Mojo"
    L["12804"] = "Mächtiges Mojo";                                      -- enUS = "Powerful Mojo"