-- Make sure that it's the right local file there is used.
if (GetLocale() ~= "frFR") then
    return
end

--[[

    If you would like to help with the translation, then please mail your translation to:
        Secret.SubbyDK@Gmail.com
    Or you can fine me on the "Pyrewood Village" EU server, Horde side.
        Subby
        Sheeps
        Bandog
    Or you can find me on Discord:
        SubbyDK#8113

************************************************************************************************************************

	Contribution pattern: DD/MM/YYYY - nickname (character name ingame) - server - Faction - what did you do to help
	
    All the credit for the translation goes to:

        02/05/2020 - sp4rkh (Spärkh) - Finkle - Horde - mapping id for french names & testing
        02/05/2020 - Lynxtueur (Lynxtueur) - Finkle - Horde - testing

    Please change "NewTranslation" to "false" when everything is translated.

    Thanks a lot for the help. ;)
]]--

-- Set some locals
local NewTranslation = true
local KeepTheHerbs, namespace = ...
local ShowLocalization = true


-- A small message to show the addon is loaded and if we need help with translations.
function Welcome()
    i = 1
    while i < 10 do
        i = i + 1
        if i >= 10 then
            DEFAULT_CHAT_FRAME:AddMessage("|cffffff7fKeepTheHerbs:|r have been loaded.");
            -- is there any new translation ?
            if NewTranslation ~= false then
                DEFAULT_CHAT_FRAME:AddMessage("|cffffff7fKeepTheHerbs:|r The addon still need some translation.");
            end
        end
    end
end

-- 
local L = setmetatable({}, { __index = function(t, i)
	local value = tostring(i)
    if value == nil then
        DEFAULT_CHAT_FRAME:AddMessage("For some reason the value was not found in the 'localization.enUS' file.");
        DEFAULT_CHAT_FRAME:AddMessage("Please report this bug with info on what you did.");
        return
    end
	rawset(t, i, value)
	return value
end })

-- ************************************************************
-- *************************  *************************
-- ************************************************************

namespace.L = L

    -- Word or sentences there is used in the addon.

    L["strAlchemy"] = "Alchimie";                                       -- enUS = "Alchemy"             <-- Very important that this is 100% correct, check it in-game with /script FindLocal()
    L["strHerbalism"] = "Herboristerie";                                -- enUS = "Herbalism"           <-- Very important that this is 100% correct check it in-game with /script FindLocal()
    L["Bought"] = "Acheté au vendeur.";                                 -- enUS = "Bought from vendor."
    L["HerbSkil"] = "Difficulté de récolte: "                           -- enUS = "Herbing difficulty: "
    L["AlchemySkill"] = "Compétence d'alchimie: ";                      -- enUS = "Alchemy skill: "
    L["Used"] = "Utilisé par les alchimistes pour: ";                   -- enUS = "Used by alchemists for:"
    L["Mats"] = "Composants utilisés: ";                                -- enUS = "Materials used:"
    L["Swifthistle"] = "Trouvé avec [Eglantine] et [Mage royal].";      -- enUS = "Found with [Briarthorn] and [Mageroyal]."
    L["Wildvine"] = "Trouvé avec [Lotus pourpre].";                     -- enUS = "Found with [Purple Lotus]."
    L["or"] = "or"                                                      -- enUS = "or"

    -- All the things there can be made with Alchemy.
    --      https://fr.classic.wowhead.com/item=

    L["118"] = "Potion de soins mineure";                               -- enUS = "Minor Healing Potion"
    L["2454"] = "Elixir de force du lion";                              -- enUS = "Elixir of Lion's Strength"
    L["5997"] = "Elixir de défense mineure";                            -- enUS = "Elixir of Minor Defense"   
    L["3382"] = "Potion de sang de troll faible";                       -- enUS = "Weak Troll's Blood Potion"
    L["2455"] = "Potion de mana mineure";                               -- enUS = "Minor Mana Potion"
    L["2456"] = "Potion de régénération mineure";                       -- enUS = "Minor Rejuvenation Potion"
    L["2458"] = "Elixir de Robustesse mineure";                         -- enUS = "Elixir of Minor Fortitude"
    L["2457"] = "Elixir d'Agilité mineure";                             -- enUS = "Elixir of Minor Agility"
    L["4596"] = "Potion de soins décolorée";                            -- enUS = "Discolored Healing Potion"
    L["858"] = "Potion de soins inférieure";                            -- enUS = "Lesser Healing Potion"
    L["2459"] = "Potion de rapidité";                                   -- enUS = "Swiftness Potion"
    L["5631"] = "Potion de Rage";                                       -- enUS = "Rage Potion"
    L["6370"] = "Huile de bouche-noire";                                -- enUS = "Blackmouth Oil"
    L["3383"] = "Elixir de Sagesse";                                    -- enUS = "Elixir of Wisdom"
    L["929"] = "Potion de soins";                                       -- enUS = "Healing Potion"
    L["5996"] = "Elixir de Respiration aquatique";                      -- enUS = "Elixir of Water Breathing"
    L["6662"] = "Elixir de Taille de géant";                            -- enUS = "Elixir of Giant Growth"
    L["6051"] = "Potion de protection contre le Sacré";                 -- enUS = "Holy Protection Potion"
    L["6372"] = "Potion de Nage rapide";                                -- enUS = "Swim Speed Potion"
    L["3384"] = "Potion de résistance à la magie mineure";              -- enUS = "Minor Magic Resistance Potion"
    L["3385"] = "Potion de mana inférieure";                            -- enUS = "Lesser Mana Potion"
    L["3386"] = "Elixir de résistance au poison";                       -- enUS = "Elixir of Poison Resistance"
    L["3388"] = "Potion de sang de troll forte";                        -- enUS = "Strong Troll's Blood Potion"
    L["6371"] = "Huile de feu";                                         -- enUS = "Fire Oil"
    L["3389"] = "Elixir de Défense";                                    -- enUS = "Elixir of Defense"
    L["6048"] = "Potion de protection contre l'Ombre";                  -- enUS = "Shadow Protection Potion"
    L["3390"] = "Elixir d'Agilité inférieur";                           -- enUS = "Elixir of Lesser Agility"
    L["6373"] = "Elixir de Maîtrise du feu";                            -- enUS = "Elixir of Firepower"
    L["3391"] = "Elixir de Force d'ogre";                               -- enUS = "Elixir of Ogre's Strength"
    L["5634"] = "Potion de libre action";                               -- enUS = "Free Action Potion"
    L["1710"] = "Potion de soins supérieure";                           -- enUS = "Greater Healing Potion"
    L["3827"] = "Potion de mana";                                       -- enUS = "Mana Potion"
    L["3823"] = "Potion d'Invisibilité inférieure";                     -- enUS = "Lesser Invisibility Potion"
    L["3824"] = "Huile des ténèbres";                                   -- enUS = "Shadow Oil"
    L["6049"] = "Potion de protection contre le Feu";                   -- enUS = "Fire Protection Potion"
    L["3825"] = "Elixir de Robustesse";                                 -- enUS = "Elixir of Fortitude"
    L["5633"] = "Potion de Grande rage";                                -- enUS = "Great Rage Potion"
    L["3826"] = "Potion de sang de troll hargneux";                     -- enUS = "Mighty Troll's Blood Potion"
    L["8949"] = "Elixir d'Agilité";                                     -- enUS = "Elixir of Agility"
    L["6050"] = "Potion de protection contre le Givre";                 -- enUS = "Frost Protection Potion"
    L["6052"] = "Potion de protection contre la Nature";                -- enUS = "Nature Protection Potion"
    L["17708"] = "Elixir de Puissance du givre";                        -- enUS = "Elixir of Frost Power"
    L["3828"] = "Elixir de Détection d'Invisibilité inférieure";        -- enUS = "Elixir of Detect Lesser Invisibility"
    L["8951"] = "Elixir de défense supérieure";                         -- enUS = "Elixir of Greater Defense"
    L["3829"] = "Huile glaciale";                                       -- enUS = "Frost Oil"
    L["10592"] = "Elixir d'oeil de chat";                               -- enUS = "Catseye Elixir"
    L["6149"] = "Potion de mana supérieure";                            -- enUS = "Greater Mana Potion"
    L["8956"] = "Huile d'immolation";                                   -- enUS = "Oil of Immolation"
    L["9036"] = "Potion de résistance à la magie";                      -- enUS = "Magic Resistance Potion"
    L["9061"] = "Carburant de fusée des gobelins";                      -- enUS = "Goblin Rocket Fuel"
    L["9030"] = "Potion de restauration";                               -- enUS = "Restorative Potion"
    L["4623"] = "Potion de Bouclier de pierre inférieure";              -- enUS = "Lesser Stoneshield Potion"
    L["3928"] = "Potion de soins excellente";                           -- enUS = "Superior Healing Potion"
    L["18294"] = "Elixir de Respiration aquatique supérieure";          -- enUS = "Elixir of Greater Water Breathing"
    L["9144"] = "Potion de sauvageonne";                                -- enUS = "Wildvine Potion"
    L["9149"] = "Pierre philosophale";                                  -- enUS = "Philosophers' Stone"
    L["9154"] = "lixir de détection des morts-vivants";                 -- enUS = "Elixir of Detect Undead"
    L["12190"] = "Potion de sommeil sans rêve";                         -- enUS = "Dreamless Sleep Potion"
    L["9155"] = "Elixir des arcanes";                                   -- enUS = "Arcane Elixir"
    L["9172"] = "Potion d'invisibilité";                                -- enUS = "Invisibility Potion"
    L["9179"] = "Elixir d'Intelligence supérieure";                     -- enUS = "Elixir of Greater Intellect"
    L["9088"] = "Don d'Arthas";                                         -- enUS = "Gift of Arthas"
    L["9187"] = "Elixir d'Agilité supérieure";                          -- enUS = "Elixir of Greater Agility"
    L["9197"] = "Elixir de Vision de rêve";                             -- enUS = "Elixir of Dream Vision"
    L["9206"] = "Elixir des géants";                                    -- enUS = "Elixir of Giants"
    L["9210"] = "Teinture fantôme";                                     -- enUS = "Ghost Dye"
    L["13423"] = "Huile de pierre-écaille";                             -- enUS = "Stonescale Oil"
    L["20747"] = "Huile de mana inférieure";                            -- enUS = "Lesser Mana Oil"
    L["20748"] = "Huile de mana brillante";                             -- enUS = "Brilliant Mana Oil"
    L["9264"] = "Elixir de Puissance de l'ombre";                       -- enUS = "Elixir of Shadow Power"
    L["9224"] = "Elixir de Tueur de démons";                            -- enUS = "Elixir of Demonslaying"
    L["9233"] = "Elixir de Détection des démons";                       -- enUS = "Elixir of Detect Demon"
    L["21546"] = "Elixir de maîtrise du feu supérieure";                -- enUS = "Elixir of Greater Firepower"
    L["3387"] = "Potion d'invulnérabilité limitée";                     -- enUS = "Limited Invulnerability Potion"
    L["13442"] = "Potion de rage puissante";                            -- enUS = "Mighty Rage Potion"
    L["13443"] = "Potion de mana excellente";                           -- enUS = "Superior Mana Potion"
    L["13445"] = "Elixir de défense excellente";                        -- enUS = "Elixir of Superior Defense"
    L["13447"] = "Elixir des Sages";                                    -- enUS = "Elixir of the Sages"
    L["13446"] = "Potion de soins majeure";                             -- enUS = "Major Healing Potion"
    L["13453"] = "Elixir de Force de brute";                            -- enUS = "Elixir of Brute Force"
    L["20007"] = "Potion Magesang";                                     -- enUS = "Mageblood Potion"
    L["20002"] = "Potion de sommeil sans rêve supérieure";              -- enUS = "Greater Dreamless Sleep Potion"
    L["13455"] = "Potion de Bouclier de pierre supérieure";             -- enUS = "Greater Stoneshield Potion"
    L["13452"] = "Elixir de la Mangouste";                              -- enUS = "Elixir of the Mongoose"
    L["13462"] = "Potion de purification";                              -- enUS = "Purification Potion"
    L["13454"] = "Elixir des arcanes supérieur";                        -- enUS = "Greater Arcane Elixir"
    L["20008"] = "Potion de vive action";                               -- enUS = "Living Action Potion"
    L["13457"] = "Potion de protection contre le Feu supérieure";       -- enUS = "Greater Fire Protection Potion"
    L["13456"] = "Potion de protection contre le Givre supérieure";     -- enUS = "Greater Frost Protection Potion"
    L["13458"] = "Potion de protection contre la Nature supérieure";    -- enUS = "Greater Nature Protection Potion"
    L["13461"] = "Potion de protection contre les Arcanes supérieure";  -- enUS = "Greater Arcane Protection Potion"
    L["13459"] = "Potion de protection contre l'Ombre supérieure";      -- enUS = "Greater Shadow Protection Potion"
    L["20004"] = "Potion de sang de troll majeure";                     -- enUS = "Major Troll's Blood Potion"
    L["13444"] = "Potion de mana majeure";                              -- enUS = "Major Mana Potion"
    L["18253"] = "Potion de régénération majeure";                      -- enUS = "Major Rejuvenation Potion"
    L["13503"] = "Pierre des alchimistes";                              -- enUS = "Alchemist's Stone"
    L["13506"] = "Flacon de pétrification";                             -- enUS = "Flask of Petrification"
    L["13510"] = "Flacon des Titans";                                   -- enUS = "Flask of the Titans"
    L["13511"] = "Flacon de sagesse distillée";                         -- enUS = "Flask of Distilled Wisdom"
    L["13512"] = "Flacon de pouvoir suprême";                           -- enUS = "Flask of Supreme Power"
    L["13513"] = "Flacon de résistance chromatique";                    -- enUS = "Flask of Chromatic Resistance"
    L["19931"] = "Folie mojo des Gurubashi";                            -- enUS = "Gurubashi Mojo Madness"
	
    -- All the spells used in Alchemy
    --      https://fr.classic.wowhead.com/spell=

    L["11479"] = "Transmutation : Fer en Or";                           -- enUS = "Transmute: Iron to Gold"
    L["11480"] = "Transmutation de mithril en vrai-argent";             -- enUS = "Transmute: Mithril to Truesilver"
    L["17187"] = "Transmutation d'arcanite";                            -- enUS = "Transmute: Arcanite"
    L["17559"] = "Transmutation de l'Air en Feu";                       -- enUS = "Transmute: Air to Fire"
    L["17560"] = "Transmutation du Feu en Terre";                       -- enUS = "Transmute: Fire to Earth"
    L["17561"] = "Transmutation de la Terre en Eau";                    -- enUS = "Transmute: Earth to Water"
    L["17562"] = "Transmutation de l'Eau en Air";                       -- enUS = "Transmute: Water to Air"
    L["17563"] = "Transmutation du Non-mort en Eau";                    -- enUS = "Transmute: Undeath to Water"
    L["17564"] = "Transmutation de l'Eau en Non-mort";                  -- enUS = "Transmute: Water to Undeath"
    L["17565"] = "Transmutation de la Vie en Terre";                    -- enUS = "Transmute: Life to Earth"
    L["17566"] = "Transmutation de la Terre en Vie";                    -- enUS = "Transmute: Earth to Life"
    L["25146"] = "Transmutation : Feu élémentaire";                     -- enUS = "Transmute: Elemental Fire"

    ----	All the herbs used for potions
    --			https://fr.classic.wowhead.com/item=

    L["2447"] = "Pacifique";                                            -- enUS = "Peacebloom"
    L["765"] = "Feuillargent";                                          -- enUS = "Silverleaf"
    L["2449"] = "Terrestrine";                                          -- enUS = "Earthroot"
    L["785"] = "Mage royal";                                            -- enUS = "Mageroyal"
    L["2450"] = "Eglantine";                                            -- enUS = "Briarthorn"
    L["2452"] = "Chardonnier";                                          -- enUS = "Swifthistle"
    L["3820"] = "Etouffante";                                           -- enUS = "Stranglekelp"
    L["2453"] = "Doulourante";                                          -- enUS = "Bruiseweed"
    L["3355"] = "Aciérite sauvage";                                     -- enUS = "Wild Steelbloom"
    L["3369"] = "Tombeline";                                            -- enUS = "Grave Moss"
    L["3356"] = "Sang-royal";                                           -- enUS = "Kingsblood"
    L["3357"] = "Vietérule";                                            -- enUS = "Liferoot"
    L["3818"] = "Pâlerette";                                            -- enUS = "Fadeleaf"
    L["3821"] = "Dorépine";                                             -- enUS = "Goldthorn"
    L["3358"] = "Moustache de Khadgar";                                 -- enUS = "Khadgar's Whisker"
    L["3819"] = "Hivernale";                                            -- enUS = "Wintersbite"
    L["4625"] = "Fleur de feu";                                         -- enUS = "Firebloom"
    L["8831"] = "Lotus pourpre";                                        -- enUS = "Purple Lotus"
    L["8153"] = "Sauvageonne";                                          -- enUS = "Wildvine"
    L["8836"] = "Larmes d'Arthas";                                      -- enUS = "Arthas' Tears"
    L["8838"] = "Soleillette";                                          -- enUS = "Sungrass"
    L["8839"] = "Aveuglette";                                           -- enUS = "Blindweed"
    L["8845"] = "Champignon fantôme";                                   -- enUS = "Ghost Mushroom"
    L["8846"] = "Gromsang";                                             -- enUS = "Gromsblood"
    L["13464"] = "Sansam doré";                                         -- enUS = "Golden Sansam"
    L["13463"] = "Feuillerêve";                                         -- enUS = "Dreamfoil"
    L["13465"] = "Sauge-argent des montagnes";                          -- enUS = "Mountain Silversage"
    L["13466"] = "Fleur de peste";                                      -- enUS = "Plaguebloom"
    L["13467"] = "Calot de glace";                                      -- enUS = "Icecap"
    L["13468"] = "Lotus noir";                                          -- enUS = "Black Lotus"

    ----	All the Vail's used for potions
    --			https://fr.classic.wowhead.com/item=

    L["3371"] = "Fiole vide";                                           -- enUS = "Empty Vial"
    L["3372"] = "Fiole plombée";                                        -- enUS = "Leaded Vial"
    L["8925"] = "Fiole de cristal";                                     -- enUS = "Crystal Vial"
    L["18256"] = "Fiole imprégnée";                                     -- enUS = "Imbued Vial"

    ----	All the rest used for potions
    --			https://fr.classic.wowhead.com/item=

    L["5635"] = "Griffe aiguisée";                                      -- enUS = "Sharp Claw"
    L["6358"] = "Bouche-noire huileux";                                 -- enUS = "Oily Blackmouth"
    L["6359"] = "Lutjan de nagefeu";                                    -- enUS = "Firefin Snapper"
    L["3164"] = "Coeur de worg décoloré";                               -- enUS = "Discolored Worg Heart"
    L["6522"] = "Poisson déviant";                                      -- enUS = "Deviate Fish"
    L["3575"] = "Barre de fer";                                         -- enUS = "Iron Bar"
    L["9262"] = "Vitriol noir";                                         -- enUS = "Black Vitriol"
    L["7972"] = "Ichor de non-mort";                                    -- enUS = "Ichor of Undeath"
    L["3858"] = "Minerai de mithril";                                   -- enUS = "Mithril Ore"
    L["4402"] = "Petit sac de flammes";                                 -- enUS = "Small Flame Sac"
    L["3860"] = "Barre de mithril";                                     -- enUS = "Mithril Bar"
    L["10620"] = "Minerai de thorium";                                  -- enUS = "Thorium Ore"
    L["7076"] = "Essence de terre";                                     -- enUS = "Essence of Earth"
    L["12359"] = "Barre de thorium";                                    -- enUS = "Thorium Bar"
    L["12363"] = "Cristal des arcanes";                                 -- enUS = "Arcane Crystal"
    L["13422"] = "Anguille pierre-écaille";                             -- enUS = "Stonescale Eel"
    L["11176"] = "Poussière de rêve";                                   -- enUS = "Dream Dust"
    L["7077"] = "Coeur de feu";                                         -- enUS = "Heart of Fire"
    L["7080"] = "Essence d'eau";                                        -- enUS = "Essence of Water"
    L["10286"] = "Coeur de fauve";                                      -- enUS = "Heart of the Wild"
    L["7067"] = "Terre élémentaire";                                    -- enUS = "Elemental Earth"
    L["7078"] = "Essence de feu";                                       -- enUS = "Essence of Fire"
    L["12803"] = "Essence de vie";                                      -- enUS = "Living Essence"
    L["12808"] = "Essence de non-mort";                                 -- enUS = "Essence of Undeath"
    L["1288"] = "Grande glande à venin";                                -- enUS = "Large Venom Sac"
    L["7068"] = "Feu élémentaire";                                      -- enUS = "Elemental Fire"
    L["12938"] = "Sang des héros";                                      -- enUS = "Blood of Heroes"
    L["19943"] = "Mojo écrasant";                                       -- enUS = "Massive Mojo"
    L["12804"] = "Mojo puissant";                                       -- enUS = "Powerful Mojo"